summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2023-02-09 09:22:27 -0500
committerLuke Smith <luke@lukesmith.xyz>2023-02-09 09:22:27 -0500
commit0567be0efef1af5952764b07c7d20c6463c30a75 (patch)
tree770edd03a2ee3dc9f66e49a069044b974b4f76fb /.local/bin
parenta4784f9faa9a94d7411d14da113f58e54c8f82e2 (diff)
parentcc53f7be1ccde78cc2d338297a00352b4fe545cf (diff)
downloadeibhear-0567be0efef1af5952764b07c7d20c6463c30a75.tar.gz
eibhear-0567be0efef1af5952764b07c7d20c6463c30a75.tar.zst
eibhear-0567be0efef1af5952764b07c7d20c6463c30a75.zip
Merge branch 'patch-1' of https://github.com/ssnailed/voidrice into ssnailed-patch-1
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/remapd10
1 files changed, 6 insertions, 4 deletions
diff --git a/.local/bin/remapd b/.local/bin/remapd
index cf67428..f2edb4f 100755
--- a/.local/bin/remapd
+++ b/.local/bin/remapd
@@ -2,8 +2,10 @@
# Rerun the remaps script whenever a new input device is added.
-while : ; do
- remaps
- dmesg -W -f kern | grep "input:" -q
- sleep 1
+trap "rm -f /tmp/udev_pipe" HUP INT QUIT ILL TRAP BUS TERM
+mkfifo -m 600 /tmp/udev_pipe
+udevadm monitor -u -t seat -s input -s usb >>/tmp/udev_pipe &
+while :; do
+ grep -q "add" /tmp/udev_pipe && grep -q " bind" /tmp/udev_pipe
+ remaps us:dvorak
done